Bug 2141917 - CVE-2022-3717 CVE-2022-3718 CVE-2022-3719 CVE-2022-3755 CVE-2022-3756 CVE-2022-3757 mingw-exiv2: various flaws [fedora-35]
Summary: CVE-2022-3717 CVE-2022-3718 CVE-2022-3719 CVE-2022-3755 CVE-2022-3756 CVE-202...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-exiv2
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-3755 CVE-2022-3756 CVE-2022-3757 CVE-2022-3717 CVE-2022-3718 CVE-2022-3719
TreeView+ depends on / blocked
 
Reported: 2022-11-11 05:52 UTC by Sandipan Roy
Modified: 2022-11-13 10:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-13 10:57:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-11-11 05:52:57 UTC
More information about these security flaws is available in the following bugs:

http://bugzilla.redhat.com/show_bug.cgi?id=2141912
http://bugzilla.redhat.com/show_bug.cgi?id=2141910
http://bugzilla.redhat.com/show_bug.cgi?id=2141907
http://bugzilla.redhat.com/show_bug.cgi?id=2141913
http://bugzilla.redhat.com/show_bug.cgi?id=2141908
http://bugzilla.redhat.com/show_bug.cgi?id=2141911

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2022-11-11 05:52:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2141907,2141908,2141910,2141911,2141912,2141913,2141917

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Sandro Mani 2022-11-13 10:57:55 UTC
Flaws only seem to affect master, not stable releases (0.27.5 and older) as shipped in Fedora.


Note You need to log in before you can comment on or make changes to this bug.